diff --git a/xpra/x11/x11_server_core.py b/xpra/x11/x11_server_core.py
index 7736d1989..3262b14c3 100644
--- a/xpra/x11/x11_server_core.py
+++ b/xpra/x11/x11_server_core.py
@@ -59,7 +59,7 @@ class XTestPointerDevice:
     def move_pointer(self, screen_no, x, y, *_args):
         mouselog("xtest_fake_motion(%i, %s, %s)", screen_no, x, y)
         with xsync:
-            X11Keyboard.xtest_fake_motion(screen_no, x, y)
+            X11Keyboard.xtest_fake_relative_motion(screen_no, x, y)
 
     def click(self, button, pressed, *_args):
         mouselog("xtest_fake_button(%i, %s)", button, pressed)
